Bug 1070130 - Console navigation and responses are terribly slow
Summary: Console navigation and responses are terribly slow
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: EAP 6.3.0
Assignee: Harald Pehl
QA Contact: Jakub Cechacek
Russell Dickenson
URL:
Whiteboard:
Depends On: 1072486
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 09:58 UTC by Jakub Cechacek
Modified: 2015-02-01 23:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:25:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Cechacek 2014-02-26 09:58:21 UTC
Moving around in 2.2.0.Beta1 is slow. 

All outgoing requests for second (and any further) visit of profiles/configuration section in eap 6.2 domain (default configuration) took ~180ms to compele. With 6.3 it is around  1.2s.

The situation is approximately the same with WF domain. 


This might be somehow related to BZ1070121

Comment 1 Harald Pehl 2014-02-26 11:41:27 UTC
Overall when a view is rendered for the first time there's an overhead related to RBAC. For the 2nd time there must be no delay. 

Regarding the configuration: There's an additional overhead for the datasources view (the default view under configuration). I will try to optimize this additional delay.

Comment 2 Jakub Cechacek 2014-06-05 13:05:04 UTC
Verified ER4


Note You need to log in before you can comment on or make changes to this bug.